import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { createAsyncThunk } from "@reduxjs/toolkit";

export const provinceEditDropLimitedService = createAsyncThunk(
  "PROVINCE_EDIT_DROP_LIMITED_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("/drop-limit/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
